syncprims-impl.h File Reference
`#include <log4cplus/config.hxx>`
`#include <stdexcept>`
`#include <log4cplus/thread/syncprims.h>`
`#include <mutex>`
`#include <thread>`
`#include <condition_variable>`
`#include <log4cplus/thread/impl/syncprims-cxx11.h>`
Include dependency graph for syncprims-impl.h:

Go to the source code of this file.

## Classes

class | log4cplus::thread::impl::SharedMutex

## Namespaces

namespace | log4cplus
namespace | log4cplus::thread
namespace | log4cplus::thread::impl

## Functions

LOG4CPLUS_EXPORT void LOG4CPLUS_ATTRIBUTE_NORETURN | log4cplus::thread::impl::syncprims_throw_exception (char const *const msg, char const *const file, int line)